Skip to content

List mappings

GET https://api.moalmanac.org/mappings

Retrieves Mappings from the database. Mappings are relationships between two Codings.

Parameters

Name Type Description Example
mapping_id string Return only the mapping with this id.

Example request

curl "https://api.moalmanac.org/mappings"

Response

Returns the standard response envelope, with data set to a list of Mapping records.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "Mappings retrieved successfully",
    "request_url": "https://api.moalmanac.org/mappings",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": [
    {
      "id": "map:hgnc:1097::ncbi:673",
      "relation": "exactMatch",
      "coding": {
        "id": "coding:ncbi:673",
        "code": "673",
        "system": "https://www.ncbi.nlm.nih.gov/gene",
        "iris": [
          "https://www.ncbi.nlm.nih.gov/gene/673"
        ]
      }
    }
  ]
}